سلام. کلیه خدمات رایگان می باشد.

فایل‌ها

GET https://98cloud.ir/api/files/
curl --request GET \
--url 'https://98cloud.ir/api/files/' \
--header 'Authorization: Bearer {api_key}' \
پارامترها جزئیات توضیحات
page اختیاری عدد صحیح شماره صفحه‌ای که می‌خواهید نتایج از آن دریافت شود. پیش‌فرض 1 است.
results_per_page اختیاری عدد صحیح تعداد نتایجی که می‌خواهید در هر صفحه. مقادیر مجاز: 10, 25, 50, 100, 250, 500, 1000. پیش‌فرض 25 است.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "transfer_id": 1,
            "file_uuid": "b8c89fa6e06b4423b3bb1647bb261368",
            "uploader_id": "f528764d624db129b32c21fbca0cb8d6",
            "name": "9b7d6e9d-fa46-4cc0-8307-8fb6cef88a71.png",
            "original_name": "example.png",
            "size": 999999,
            "status": "uploaded",
            "is_encrypted": false,
            "datetime": "2026-08-06 01:33:23",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://98cloud.ir/api/files?page=1",
        "last": "https://98cloud.ir/api/files?page=1",
        "next": null,
        "prev": null,
        "self": "https://98cloud.ir/api/files?page=1"
    }
}
GET https://98cloud.ir/api/files/{file_id}
curl --request GET \
--url 'https://98cloud.ir/api/files/{file_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "transfer_id": 1,
        "file_uuid": "b8c89fa6e06b4423b3bb1647bb261368",
        "uploader_id": "f528764d624db129b32c21fbca0cb8d6",
        "name": "9b7d6e9d-fa46-4cc0-8307-8fb6cef88a71.png",
        "original_name": "example.png",
        "size": 999999,
        "status": "uploaded",
        "is_encrypted": false,
        "datetime": "2026-08-06 01:33:23",
    }
}
POST https://98cloud.ir/files/create_api
پارامترها جزئیات توضیحات
uuid الزامی رشته -
chunk_index الزامی عدد صحیح -
total_chunks الزامی عدد صحیح -
file_name الزامی رشته -
file الزامی فایل -
password اختیاری رشته -
file_encryption_is_enabled اختیاری بولین -
curl --request POST \
--url 'https://98cloud.ir/files/create_api' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'uuid=de09be56-639f-4213-863b-5ea1aa065970' \
--form 'chunk_index=0' \
--form 'total_chunks=1' \
--form 'file_name=example.pdf' \
--form 'file=example.pdf' \
{
    "data": {
        "id": 1
    }
}
DELETE https://98cloud.ir/api/files/{file_id}
curl --request DELETE \
--url 'https://98cloud.ir/api/files/{file_id}' \
--header 'Authorization: Bearer {api_key}' \